Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCylinder Class Reference

`#include <vtkCylinder.h>`

Inheritance diagram for vtkCylinder:

[legend]
Collaboration diagram for vtkCylinder:

[legend]
List of all members.

## Detailed Description

implicit function for a cylinder

Date:
  2002/01/22 15:28:02

Revision:
  1.36

vtkCylinder computes the implicit function and function gradient for a cylinder. vtkCylinder is a concrete implementation of vtkImplicitFunction. Cylinder is centered at Center and axes of rotation is along the y-axis. (Use the superclass' vtkImplicitFunction transformation matrix if necessary to reposition.)

Warning:
  The cylinder is infinite in extent. To truncate the cylinder use the vtkImplicitBoolean in combination with clipping planes.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (67%)
  - Martin, Ken (12%)
  - Lorensen, Bill (11%)
  - Kelly, Ann (6%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkCylinder.h)`
  - .`cxx` (`/Filtering/vtkCylinder.cxx)`

Tests:
  vtkCylinder (Tests)

Definition at line 54 of file vtkCylinder.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EvaluateGradient (float x[3], float g[3])
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCylinder * | SafeDownCast (vtkObject *o)
vtkCylinder * | New ()
## Protected Methods
| vtkCylinder ()
| ~vtkCylinder ()
## Protected Attributes
float | Radius
float | Center [3]

## Member Typedef Documentation

typedef vtkImplicitFunction vtkCylinder::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 57 of file vtkCylinder.h.

## Constructor & Destructor Documentation

vtkCylinder::vtkCylinder | ( |  | ) | `[protected]`

vtkCylinder::~vtkCylinder | ( |  | ) | `[inline, protected]`

| Definition at line 86 of file vtkCylinder.h.

## Member Function Documentation

virtual const char* vtkCylinder::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkCylinder::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkCylinder::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkCylinder* vtkCylinder::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkCylinder::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

vtkCylinder* vtkCylinder::New | ( |  | ) | `[static]`

| Construct cylinder radius of 0.5. Reimplemented from vtkObject.

float vtkCylinder::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate cylinder equation F(x,y,z) = (x-x0)^2 + (z-z0)^2 - R^2. Implements vtkImplicitFunction.

float vtkCylinder::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate cylinder equation F(x,y,z) = (x-x0)^2 + (z-z0)^2 - R^2. Reimplemented from vtkImplicitFunction. Definition at line 66 of file vtkCylinder.h. References vtkImplicitFunction::EvaluateFunction().

void vtkCylinder::EvaluateGradient | ( | float | x[3],
|  | float | g[3]
| ) | `[virtual]`

| Evaluate cylinder function gradient. Implements vtkImplicitFunction.

virtual void vtkCylinder::SetRadius | ( | float |  | ) | `[virtual]`

| Set/Get cylinder radius.

virtual float vtkCylinder::GetRadius | ( |  | ) | `[virtual]`

| Set/Get cylinder radius.

virtual void vtkCylinder::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get cylinder center

virtual void vtkCylinder::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get cylinder center

virtual float* vtkCylinder::GetCenter | ( |  | ) | `[virtual]`

| Set/Get cylinder center

virtual void vtkCylinder::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set/Get cylinder center

## Member Data Documentation

float vtkCylinder::Radius`[protected]`

| Definition at line 88 of file vtkCylinder.h.

float vtkCylinder::Center[3]`[protected]`

| Definition at line 89 of file vtkCylinder.h.

The documentation for this class was generated from the following file:

- Filtering/vtkCylinder.h